package com.goafanti.user.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.goafanti.common.dao.UserAbilityMapper;
import com.goafanti.common.model.UserAbility;
import com.goafanti.user.service.UserAbilityService;
@Service
public class UserAbilityServiceImpl implements UserAbilityService{
	@Autowired
	UserAbilityMapper userAbilityMapper;

	@Override
	public UserAbility selectUserAbilityByUserId(String uid) {
		return userAbilityMapper.selectUserAbilityByUserId(uid);
	}

	@Override
	public UserAbility insert(UserAbility userAbility) {
		userAbilityMapper.insert(userAbility);
		return userAbility;
	}

	@Override
	public int updateByPrimaryKeySelective(UserAbility userAbility) {
		return userAbilityMapper.updateByPrimaryKeySelective(userAbility);
	}

}
